{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.extraServices.flatpak;
in {
  options.extraServices.flatpak.enable = mkEnableOption "enable podman";

  config = mkIf cfg.enable {
    services.flatpak.enable = true;
    xdg.portal = {
      # xdg desktop intergration (required for flatpak)
      enable = true;
      extraPortals = [pkgs.xdg-desktop-portal-gtk];
      config.common.default = "*";
    };
  };
}
